#!/bin/bash

# run from project root directory

cat res/GAMES.CONF |
    grep "," |
    grep -v "^#" |
    cut -d"," -f2 |
    cut -d"=" -f1 | \
    while read game; do
        # initialize attract mode configuration file for this game
        echo -e "#\n# Attract mode for $game\n# This file is automatically generated\n#\n" > /tmp/g

        # add box art, if any
        cat res/SS/SHR*.CONF |
            egrep "(^|=)""$game""$" |
            cut -d"=" -f1 |
            sed -e "s/$/=C/g" |
            sort |
            uniq >> /tmp/g

        # add DHGR action screenshots, if any
        cat res/SS/ACTDHGR*.CONF |
            egrep "(^|=)""$game""$" |
            cut -d"=" -f1 |
            sed -e "s/$/=B/g" |
            sort |
            uniq >> /tmp/g

        # add HGR action screenshots, if any
        cat res/SS/ACTION*.CONF |
            egrep "(^|=)""$game""$" |
            cut -d"=" -f1 |
            sed -e "s/$/=A/g" |
            sort |
            uniq >> /tmp/g

        # add GR action screenshots, if any
        cat res/SS/ACTGR*.CONF |
            egrep "(^|=)""$game""$" |
            cut -d"=" -f1 |
            sed -e "s/$/=D/g" |
            sort |
            uniq >> /tmp/g

        # add DGR action screenshots, if any
        cat res/SS/ACTDGR*.CONF |
            egrep "(^|=)""$game""$" |
            cut -d"=" -f1 |
            sed -e "s/$/=E/g" |
            sort |
            uniq >> /tmp/g

        # add self-running demo, if any
        cat res/ATTRACT.CONF |
            grep "^$game=0" >> /tmp/g

        if [ "$game" == "SPARE.CHANGE" ]; then
            echo "SPCARTOON.1.=0" >> /tmp/g
            echo "SPCARTOON.2.=0" >> /tmp/g
            echo "SPCARTOON.3.=0" >> /tmp/g
            echo "SPCARTOON.4.=0" >> /tmp/g
            echo "SPCARTOON.5.=0" >> /tmp/g
            echo "SPCARTOON.6.=0" >> /tmp/g
        fi

        if [ "$game" == "PRINCEUNP" ]; then
            echo "ARTWORK.SHR/POP.END=C" >> /tmp/g
        fi

        # add eof
        echo -e "\n[eof]" >> /tmp/g

        cat /tmp/g > res/ATTRACT/"$game"

        # clean up
        rm /tmp/g
    done
